--[[                                                                           ]]--
--[[  Automatically generated code (do not edit)                               ]]--
--[[                                                                           ]]--
--[[                                                                           ]]--
--[[  Scenario                                                                 ]]--
--[[                                                                           ]]--
Scenario = {
    next_area_id = '22',
    --[[                                                                           ]]--
    --[[  Props                                                                    ]]--
    --[[                                                                           ]]--
    Props = {
    },
    --[[                                                                           ]]--
    --[[  Areas                                                                    ]]--
    --[[                                                                           ]]--
    Areas = {
        ['TUT1_SpawnArmy2'] = {
            ['rectangle'] = RECTANGLE( 281.5, 64.5, 333.5, 183.5 ),
        },
        ['TUT1_MoveACU'] = {
            ['rectangle'] = RECTANGLE( 159.5, 365.5, 168.5, 373.5 ),
        },
        ['TUT1_TransportArea'] = {
            ['rectangle'] = RECTANGLE( 18.5, 182.5, 475.5, 472.5 ),
        },
        ['TUT1_LandDefense'] = {
            ['rectangle'] = RECTANGLE( 99.5, 306.5, 184.5, 418.5 ),
        },
        ['TUT1_Everything'] = {
            ['rectangle'] = RECTANGLE( 0.5, 0.5, 510.5, 511.5 ),
        },
        ['TUT1_Factory'] = {
            ['rectangle'] = RECTANGLE( 136.5, 350.5, 146.5, 360.5 ),
        },
        ['TUT1_AntiAir'] = {
            ['rectangle'] = RECTANGLE( 164.5, 367.5, 168.5, 371.5 ),
        },
        ['TUT1_AttackMinibase'] = {
            ['rectangle'] = RECTANGLE( 21.5, 184.5, 267.5, 442.5 ),
        },
        ['TUT1_Capture'] = {
            ['rectangle'] = RECTANGLE( 99.5, 330.5, 184.5, 417.5 ),
        },
        ['TUT1_PointDefense'] = {
            ['rectangle'] = RECTANGLE( 130.5, 341.5, 134.5, 345.5 ),
        },
        ['TUT1_FirstWave'] = {
            ['rectangle'] = RECTANGLE( 27.5, 239.5, 267.5, 442.5 ),
        },
        ['TUT1A1'] = {
            ['rectangle'] = RECTANGLE( 117.5, 331.5, 184.5, 393.5 ),
        },
        ['TUT1_RadarTarget'] = {
            ['rectangle'] = RECTANGLE( 140.5, 280.5, 148.5, 289.5 ),
        },
        ['TUT1_TransportDestination'] = {
            ['rectangle'] = RECTANGLE( 294.5, 198.5, 317.5, 222.5 ),
        },
        ['TUT1_SpawnTut'] = {
            ['rectangle'] = RECTANGLE( 326.5, 67.5, 380.5, 183.5 ),
        },
        ['TUT1_PanArea'] = {
            ['rectangle'] = RECTANGLE( 136.5, 348.5, 162.5, 370.5 ),
        },
        ['TUT1_AirDefense'] = {
            ['rectangle'] = RECTANGLE( 99.5, 306.5, 213.5, 418.5 ),
        },
        ['TUT1_AttackACU'] = {
            ['rectangle'] = RECTANGLE( 116.5, 330.5, 184.5, 418.5 ),
        },
    },
    --[[                                                                           ]]--
    --[[  Markers                                                                  ]]--
    --[[                                                                           ]]--
    MasterChain = {
        ['_MASTERCHAIN_'] = {
            Markers = {
                ['CamLandAttackCenter'] = {
                    ['zoom'] = FLOAT( 81.658226 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( 3.14159, 1.43735, 0 ),
                    ['position'] = VECTOR3( 129.228, 20.5799, 334.592 ),
                },
                ['CamNewEnemiesCenter'] = {
                    ['zoom'] = FLOAT( 187.601563 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( 3.13368, 1.26802, 0 ),
                    ['position'] = VECTOR3( 304.848, 20.625, 143.86 ),
                },
                ['Naval1'] = {
                    ['color'] = STRING( 'ff800080' ),
                    ['type'] = STRING( 'Blank Marker' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Blank_prop.bp' ),
                    ['orientation'] = VECTOR3( 0, 0.000668168, 0 ),
                    ['position'] = VECTOR3( 63.9203, 12.3135, 319.563 ),
                },
                ['CamStart'] = {
                    ['zoom'] = FLOAT( 22.285826 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( 0.801455, 0.710147, 0 ),
                    ['position'] = VECTOR3( 171.647, 20.4772, 380.915 ),
                },
                ['CamMoveCenter'] = {
                    ['zoom'] = FLOAT( 67.558006 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( -3.14159, 1.09526, 0 ),
                    ['position'] = VECTOR3( 163.142, 20.6058, 370.464 ),
                },
                ['AirAttack02'] = {
                    ['color'] = STRING( 'ff800080' ),
                    ['type'] = STRING( 'Blank Marker' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Blank_prop.bp' ),
                    ['orientation'] = VECTOR3( 0, 0.000668168, 0 ),
                    ['position'] = VECTOR3( 194.5, 20.5781, 372.5 ),
                },
                ['CamAirAttack'] = {
                    ['zoom'] = FLOAT( 81.658226 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( 2.63514, 0.898977, 0 ),
                    ['position'] = VECTOR3( 169.389, 20.6065, 367.182 ),
                },
                ['Mass 03'] = {
                    ['size'] = FLOAT( 1.000000 ),
                    ['resource'] = BOOLEAN( true ),
                    ['amount'] = FLOAT( 100.000000 ),
                    ['color'] = STRING( 'ff808080' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Mass' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Mass_prop.bp' ),
                    ['orientation'] = VECTOR3( 0, 0.000668168, 0 ),
                    ['position'] = VECTOR3( 129.5, 20.207, 371.5 ),
                },
                ['TRANSPORT_LAND_01'] = {
                    ['color'] = STRING( 'ff80A088' ),
                    ['type'] = STRING( 'Transport Marker' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Blank_prop.bp' ),
                    ['orientation'] = VECTOR3( 0, 0.000668168, 0 ),
                    ['position'] = VECTOR3( 220.5, 18.2441, 204.5 ),
                },
                ['CamTransport'] = {
                    ['zoom'] = FLOAT( 81.658279 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( -2.71427, 0.358291, 0 ),
                    ['position'] = VECTOR3( 213.788, 17.7387, 186.139 ),
                },
                ['CamNewEnemies'] = {
                    ['zoom'] = FLOAT( 46.900372 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( 2.61931, 0.56413, 0 ),
                    ['position'] = VECTOR3( 294.16, 20.6781, 144.796 ),
                },
                ['Mass 01'] = {
                    ['size'] = FLOAT( 1.000000 ),
                    ['resource'] = BOOLEAN( true ),
                    ['amount'] = FLOAT( 100.000000 ),
                    ['color'] = STRING( 'ff808080' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Mass' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Mass_prop.bp' ),
                    ['orientation'] = VECTOR3( 0, 0.000668168, 0 ),
                    ['position'] = VECTOR3( 153.5, 20.6465, 367.5 ),
                },
                ['AirAttack01'] = {
                    ['color'] = STRING( 'ff800080' ),
                    ['type'] = STRING( 'Blank Marker' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Blank_prop.bp' ),
                    ['orientation'] = VECTOR3( 0, 0.000668168, 0 ),
                    ['position'] = VECTOR3( 173.722, 20.5657, 371.316 ),
                },
                ['Mass 04'] = {
                    ['size'] = FLOAT( 1.000000 ),
                    ['resource'] = BOOLEAN( true ),
                    ['amount'] = FLOAT( 100.000000 ),
                    ['color'] = STRING( 'ff808080' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Mass' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Mass_prop.bp' ),
                    ['orientation'] = VECTOR3( 0, 0.000668168, 0 ),
                    ['position'] = VECTOR3( 208.5, 17.8086, 208.5 ),
                },
                ['AirAttack03'] = {
                    ['color'] = STRING( 'ff800080' ),
                    ['type'] = STRING( 'Blank Marker' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Blank_prop.bp' ),
                    ['orientation'] = VECTOR3( 0, 0.000668168, 0 ),
                    ['position'] = VECTOR3( 223.761, 20.7417, 358.292 ),
                },
                ['Mass 06'] = {
                    ['size'] = FLOAT( 1.000000 ),
                    ['resource'] = BOOLEAN( true ),
                    ['amount'] = FLOAT( 100.000000 ),
                    ['color'] = STRING( 'ff808080' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Mass' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Mass_prop.bp' ),
                    ['orientation'] = VECTOR3( 0, 0.000668168, 0 ),
                    ['position'] = VECTOR3( 373.5, 20.1953, 132.5 ),
                },
                ['CamAttackEnemy'] = {
                    ['zoom'] = FLOAT( 46.900341 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( 2.80923, 0.682537, 0 ),
                    ['position'] = VECTOR3( 212.587, 17.8477, 208.335 ),
                },
                ['Mass 08'] = {
                    ['size'] = FLOAT( 1.000000 ),
                    ['resource'] = BOOLEAN( true ),
                    ['amount'] = FLOAT( 100.000000 ),
                    ['color'] = STRING( 'ff808080' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Mass' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Mass_prop.bp' ),
                    ['orientation'] = VECTOR3( 0, 0.000668168, 0 ),
                    ['position'] = VECTOR3( 344.5, 20.6504, 152.5 ),
                },
                ['CamCapture'] = {
                    ['zoom'] = FLOAT( 11.725081 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( -1.82798, 0.516706, 0 ),
                    ['position'] = VECTOR3( 116.45, 18.2062, 387.03 ),
                },
                ['HomeBaseVisMarker'] = {
                    ['color'] = STRING( 'ff800080' ),
                    ['type'] = STRING( 'Blank Marker' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Blank_prop.bp' ),
                    ['orientation'] = VECTOR3( 0, 0.000469446, 0 ),
                    ['position'] = VECTOR3( 148.045, 20.6484, 365.771 ),
                },
                ['CamRadarCenter'] = {
                    ['zoom'] = FLOAT( 187.601364 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( 3.13368, 1.56083, 0 ),
                    ['position'] = VECTOR3( 155.828, 24.3937, 325.237 ),
                },
                ['Mass 05'] = {
                    ['size'] = FLOAT( 1.000000 ),
                    ['resource'] = BOOLEAN( true ),
                    ['amount'] = FLOAT( 100.000000 ),
                    ['color'] = STRING( 'ff808080' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Mass' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Mass_prop.bp' ),
                    ['orientation'] = VECTOR3( 0, 0.000668168, 0 ),
                    ['position'] = VECTOR3( 372.5, 20.6816, 158.5 ),
                },
                ['CamTutCenter'] = {
                    ['zoom'] = FLOAT( 61.885418 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( 3.13368, 1.47376, 0 ),
                    ['position'] = VECTOR3( 329.912, 20.6304, 147.69 ),
                },
                ['CamAttackEnemyCenter'] = {
                    ['zoom'] = FLOAT( 247.541428 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( 3.14159, 1.41045, 0 ),
                    ['position'] = VECTOR3( 185.445, 21.0156, 277.503 ),
                },
                ['Mass 00'] = {
                    ['size'] = FLOAT( 1.000000 ),
                    ['resource'] = BOOLEAN( true ),
                    ['amount'] = FLOAT( 100.000000 ),
                    ['color'] = STRING( 'ff808080' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Mass' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Mass_prop.bp' ),
                    ['orientation'] = VECTOR3( 0, 0.000668168, 0 ),
                    ['position'] = VECTOR3( 142.5, 20.4609, 375.5 ),
                },
                ['TRANSPORT_LAND_02'] = {
                    ['color'] = STRING( 'ff80A088' ),
                    ['type'] = STRING( 'Transport Marker' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Blank_prop.bp' ),
                    ['orientation'] = VECTOR3( 0, 0.000668168, 0 ),
                    ['position'] = VECTOR3( 215.004, 18.1751, 197.545 ),
                },
                ['CamTransportIsland'] = {
                    ['zoom'] = FLOAT( 117.625381 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( 0.767946, 1.0336, 0 ),
                    ['position'] = VECTOR3( 428.154, 18.8421, 418.725 ),
                },
                ['CamTutSpawn'] = {
                    ['zoom'] = FLOAT( 20.414576 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( 2.91211, 0.658851, 0 ),
                    ['position'] = VECTOR3( 333.057, 20.5625, 142.881 ),
                },
                ['CamAttackACU'] = {
                    ['zoom'] = FLOAT( 22.285826 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( -0.427256, 0.72129, 0 ),
                    ['position'] = VECTOR3( 149.36, 18.3641, 399.852 ),
                },
                ['Attack3'] = {
                    ['color'] = STRING( 'ff800080' ),
                    ['type'] = STRING( 'Blank Marker' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Blank_prop.bp' ),
                    ['orientation'] = VECTOR3( 0, 0.000668168, 0 ),
                    ['position'] = VECTOR3( 130.5, 20.5879, 337.5 ),
                },
                ['TRANSPORT_HOME'] = {
                    ['color'] = STRING( 'ff80A088' ),
                    ['type'] = STRING( 'Transport Marker' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Blank_prop.bp' ),
                    ['orientation'] = VECTOR3( 0, 0.000668168, 0 ),
                    ['position'] = VECTOR3( 315.48, 24.2188, 209.03 ),
                },
                ['CamPan'] = {
                    ['zoom'] = FLOAT( 24.373461 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( -3.13938, 1.54498, 0 ),
                    ['position'] = VECTOR3( 151.163, 20.6729, 361.029 ),
                },
                ['CamRadar'] = {
                    ['zoom'] = FLOAT( 61.885357 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( 2.92002, 0.819925, 0 ),
                    ['position'] = VECTOR3( 146.953, 20.7891, 286.92 ),
                },
                ['CamTransportDestination'] = {
                    ['zoom'] = FLOAT( 356.573090 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( 1.56661, 1.51971, 0 ),
                    ['position'] = VECTOR3( 370.413, 17.5, 320.194 ),
                },
                ['CamBuildAirDefenseCenter'] = {
                    ['zoom'] = FLOAT( 81.658279 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( 3.14159, 1.55289, 0 ),
                    ['position'] = VECTOR3( 155.967, 20.6563, 366.32 ),
                },
                ['AttackArmy1'] = {
                    ['color'] = STRING( 'ff800080' ),
                    ['type'] = STRING( 'Blank Marker' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Blank_prop.bp' ),
                    ['orientation'] = VECTOR3( 0, 0.000668168, 0 ),
                    ['position'] = VECTOR3( 315.5, 20.6094, 142.5 ),
                },
                ['CamBuildAirDefense'] = {
                    ['zoom'] = FLOAT( 35.543812 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( 0.910031, 0.666741, 0 ),
                    ['position'] = VECTOR3( 166.011, 20.5909, 370.185 ),
                },
                ['CamBuildLandDefenseCenter'] = {
                    ['zoom'] = FLOAT( 107.748680 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( 3.14159, 1.51332, 0 ),
                    ['position'] = VECTOR3( 134.915, 20.5725, 363.273 ),
                },
                ['CamBuildLandDefense'] = {
                    ['zoom'] = FLOAT( 20.414557 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( 3.07828, 0.685691, 0 ),
                    ['position'] = VECTOR3( 132.738, 20.6255, 345.323 ),
                },
                ['CamLandAttack'] = {
                    ['zoom'] = FLOAT( 35.543812 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( 2.29486, 0.519876, 0 ),
                    ['position'] = VECTOR3( 129.509, 20.5899, 330.53 ),
                },
                ['CamCaptureCenter'] = {
                    ['zoom'] = FLOAT( 81.658195 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( -3.14159, 1.53706, 0 ),
                    ['position'] = VECTOR3( 142.251, 20.4172, 377.021 ),
                },
                ['CamMassCenter'] = {
                    ['zoom'] = FLOAT( 61.885315 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( 3.12577, 1.40253, 0 ),
                    ['position'] = VECTOR3( 149.548, 20.3709, 382.119 ),
                },
                ['Attack1'] = {
                    ['color'] = STRING( 'ff800080' ),
                    ['type'] = STRING( 'Blank Marker' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Blank_prop.bp' ),
                    ['orientation'] = VECTOR3( 0, 0.000668168, 0 ),
                    ['position'] = VECTOR3( 124.5, 20.6035, 313.5 ),
                },
                ['AttackArmy0'] = {
                    ['color'] = STRING( 'ff800080' ),
                    ['type'] = STRING( 'Blank Marker' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Blank_prop.bp' ),
                    ['orientation'] = VECTOR3( 0, 0.000668168, 0 ),
                    ['position'] = VECTOR3( 315.5, 20.4297, 124.5 ),
                },
                ['CamMass'] = {
                    ['zoom'] = FLOAT( 35.543751 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( -2.76967, 0.67554, 0 ),
                    ['position'] = VECTOR3( 145.291, 20.5455, 372.685 ),
                },
                ['Naval2'] = {
                    ['color'] = STRING( 'ff800080' ),
                    ['type'] = STRING( 'Blank Marker' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Blank_prop.bp' ),
                    ['orientation'] = VECTOR3( 0, 0.000668168, 0 ),
                    ['position'] = VECTOR3( 78.0236, 12.2349, 396.214 ),
                },
                ['CamAttackCenter'] = {
                    ['zoom'] = FLOAT( 89.143303 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( 3.13601, 1.24069, 0 ),
                    ['position'] = VECTOR3( 152.063, 20.4955, 379.214 ),
                },
                ['Mass 07'] = {
                    ['size'] = FLOAT( 1.000000 ),
                    ['resource'] = BOOLEAN( true ),
                    ['amount'] = FLOAT( 100.000000 ),
                    ['color'] = STRING( 'ff808080' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Mass' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Mass_prop.bp' ),
                    ['orientation'] = VECTOR3( 0, 0.000668168, 0 ),
                    ['position'] = VECTOR3( 361.5, 20.6973, 165.5 ),
                },
                ['CamPostTransport'] = {
                    ['zoom'] = FLOAT( 247.541672 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( 3.13368, 1.54498, 0 ),
                    ['position'] = VECTOR3( 274.502, 20.9669, 170.386 ),
                },
                ['CamAirAttackCenter'] = {
                    ['zoom'] = FLOAT( 61.885357 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( 3.14159, 1.5608, 0 ),
                    ['position'] = VECTOR3( 150.155, 20.6641, 362.126 ),
                },
                ['CamMoveACU'] = {
                    ['zoom'] = FLOAT( 27.696627 ),
                    ['canSetCamera'] = BOOLEAN( true ),
                    ['canSyncCamera'] = BOOLEAN( true ),
                    ['color'] = STRING( 'ff808000' ),
                    ['editorIcon'] = STRING( '/textures/editor/marker_mass.bmp' ),
                    ['type'] = STRING( 'Camera Info' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Camera_prop.bp' ),
                    ['orientation'] = VECTOR3( 2.70037, 0.892245, 0 ),
                    ['position'] = VECTOR3( 163.425, 20.6044, 370.642 ),
                },
                ['Attack2'] = {
                    ['color'] = STRING( 'ff800080' ),
                    ['type'] = STRING( 'Blank Marker' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Blank_prop.bp' ),
                    ['orientation'] = VECTOR3( 0, 0.000668168, 0 ),
                    ['position'] = VECTOR3( 125.5, 20.5957, 324.5 ),
                },
                ['AttackArmy2'] = {
                    ['color'] = STRING( 'ff800080' ),
                    ['type'] = STRING( 'Blank Marker' ),
                    ['prop'] = STRING( '/env/common/props/markers/M_Blank_prop.bp' ),
                    ['orientation'] = VECTOR3( 0, 0.000668168, 0 ),
                    ['position'] = VECTOR3( 308.5, 20.668, 152.5 ),
                },
            },
        },
    },
    Chains = {
        ['AirAttackChain'] = {
            Markers = {
                "AirAttack03",
                "AirAttack02",
                "AirAttack01",
                "AirAttack01",
                "AirAttack02",
                "AirAttack03",
            },
        },
        ['ArmyAttack2Chain'] = {
            Markers = {
                "AttackArmy0",
                "AttackArmy1",
                "AttackArmy2",
            },
        },
        ['LandAttackChain'] = {
            Markers = {
                "Attack3",
                "Attack2",
                "Attack1",
            },
        },
        ['NavalChain'] = {
            Markers = {
                "Naval1",
                "Naval2",
            },
        },
    },
    --[[                                                                           ]]--
    --[[  Orders                                                                   ]]--
    --[[                                                                           ]]--
    next_queue_id = '1',
    Orders = {
    },
    --[[                                                                           ]]--
    --[[  Platoons                                                                 ]]--
    --[[                                                                           ]]--
    next_platoon_id = '1',
    Platoons = 
    {
    },
    --[[                                                                           ]]--
    --[[  Armies                                                                   ]]--
    --[[                                                                           ]]--
    next_army_id = '5',
    next_group_id = '27',
    next_unit_id = '275',
    Armies = 
    {
        --[[                                                                           ]]--
        --[[  Army                                                                     ]]--
        --[[                                                                           ]]--
        ['Player'] =  
        {
            personality = 'Human',
            plans = '/lua/ai/OpAI/DefaultBlankPlanlist.lua',
            color = 2,
            faction = 0,
            Economy = {
                mass = 0,
                energy = 0,
            },
            Alliances = {
                ['Guen'] = 'Enemy',
            },
            ['Units'] = GROUP {
                orders = '',
                platoon = '',
                Units = {
                    ['TransportReinforcements'] = GROUP {
                        orders = '',
                        platoon = '',
                        Units = {
                            ['UNIT_269'] = {
                                type = 'xel0305',
                                orders = '',
                                platoon = '',
                                Position = { 93.642265, 17.925642, 73.281784 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_265'] = {
                                type = 'uel0303',
                                orders = '',
                                platoon = '',
                                Position = { 73.771561, 18.388603, 78.719162 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_270'] = {
                                type = 'xel0306',
                                orders = '',
                                platoon = '',
                                Position = { 81.102570, 18.409103, 71.075348 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_268'] = {
                                type = 'xel0305',
                                orders = '',
                                platoon = '',
                                Position = { 88.770668, 18.109591, 73.730331 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_267'] = {
                                type = 'uel0303',
                                orders = '',
                                platoon = '',
                                Position = { 74.692459, 18.530252, 71.076645 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_271'] = {
                                type = 'xel0306',
                                orders = '',
                                platoon = '',
                                Position = { 85.907669, 18.051514, 69.223434 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                        },
                    },
                    ['Reinforcements'] = GROUP {
                        orders = '',
                        platoon = '',
                        Units = {
                            ['UNIT_150'] = {
                                type = 'uel0303',
                                orders = '',
                                platoon = '',
                                Position = { 440.500000, 18.412109, 428.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_149'] = {
                                type = 'uel0303',
                                orders = '',
                                platoon = '',
                                Position = { 438.500000, 18.433594, 430.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_148'] = {
                                type = 'uel0303',
                                orders = '',
                                platoon = '',
                                Position = { 430.500000, 18.785156, 419.500000 },
                                Orientation = { 0.000000, -0.095993, 0.000000 },
                            },
                            ['UNIT_153'] = {
                                type = 'uel0303',
                                orders = '',
                                platoon = '',
                                Position = { 425.500000, 18.839844, 418.500000 },
                                Orientation = { 0.000000, -0.095993, 0.000000 },
                            },
                            ['UNIT_151'] = {
                                type = 'uel0303',
                                orders = '',
                                platoon = '',
                                Position = { 438.500000, 18.521484, 427.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_152'] = {
                                type = 'uel0303',
                                orders = '',
                                platoon = '',
                                Position = { 426.500000, 18.781250, 420.500000 },
                                Orientation = { 0.000000, -0.095993, 0.000000 },
                            },
                        },
                    },
                    ['INITIAL'] = GROUP {
                        orders = '',
                        platoon = '',
                        Units = {
                        },
                    },
                    ['ExtraPower'] = GROUP {
                        orders = '',
                        platoon = '',
                        Units = {
                            ['UNIT_274'] = {
                                type = 'ueb1201',
                                orders = '',
                                platoon = '',
                                Position = { 326.500000, 20.953125, 248.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_156'] = {
                                type = 'ueb1201',
                                orders = '',
                                platoon = '',
                                Position = { 326.500000, 20.835938, 242.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_272'] = {
                                type = 'ueb1201',
                                orders = '',
                                platoon = '',
                                Position = { 320.500000, 20.898438, 242.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_273'] = {
                                type = 'ueb1201',
                                orders = '',
                                platoon = '',
                                Position = { 320.500000, 21.101563, 248.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_163'] = {
                                type = 'ueb3101',
                                orders = '',
                                platoon = '',
                                Position = { 276.500000, 18.603516, 115.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                        },
                    },
                    ['Transports'] = GROUP {
                        orders = '',
                        platoon = '',
                        Units = {
                            ['Martin'] = {
                                type = 'uea0104',
                                orders = '',
                                platoon = '',
                                Position = { 428.500000, 18.800781, 420.000000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['Stathem'] = {
                                type = 'uea0104',
                                orders = '',
                                platoon = '',
                                Position = { 435.500000, 18.562500, 429.000000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                        },
                    },
                    ['CommanderGroup'] = GROUP {
                        orders = '',
                        platoon = '',
                        Units = {
                            ['Commander'] = {
                                type = 'uel0001',
                                orders = '',
                                platoon = '',
                                Position = { 172.500000, 20.458984, 382.500000 },
                                Orientation = { 0.000000, -2.696534, 0.000000 },
                            },
                        },
                    },
                },
            },
            PlatoonBuilders = {
                next_platoon_builder_id = '0',
                Builders = {
                },
            },
        },
        --[[                                                                           ]]--
        --[[  Army                                                                     ]]--
        --[[                                                                           ]]--
        ['Neutrals'] =  
        {
            personality = '',
            plans = '/lua/ai/OpAI/DefaultBlankPlanlist.lua',
            color = 4,
            faction = 0,
            Economy = {
                mass = 0,
                energy = 0,
            },
            Alliances = {
            },
            ['Units'] = GROUP {
                orders = '',
                platoon = '',
                Units = {
                    ['INITIAL'] = GROUP {
                        orders = '',
                        platoon = '',
                        Units = {
                        },
                    },
                    ['CaptureUnits'] = GROUP {
                        orders = '',
                        platoon = '',
                        Units = {
                            ['UNIT_19'] = {
                                type = 'ueb1101',
                                orders = '',
                                platoon = '',
                                Position = { 114.500000, 18.214844, 386.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                        },
                    },
                },
            },
            PlatoonBuilders = {
                next_platoon_builder_id = '0',
                Builders = {
                },
            },
        },
        --[[                                                                           ]]--
        --[[  Army                                                                     ]]--
        --[[                                                                           ]]--
        ['Guen'] =  
        {
            personality = '',
            plans = '/lua/ai/OpAI/DefaultBlankPlanlist.lua',
            color = 1,
            faction = 1,
            Economy = {
                mass = 0,
                energy = 0,
            },
            Alliances = {
                ['Player'] = 'Enemy',
            },
            ['Units'] = GROUP {
                orders = '',
                platoon = '',
                Units = {
                    ['ACUFodder'] = GROUP {
                        orders = '',
                        platoon = '',
                        Units = {
                            ['UNIT_33'] = {
                                type = 'uab2104',
                                orders = '',
                                platoon = '',
                                Position = { 148.500000, 18.681641, 395.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_36'] = {
                                type = 'uab1106',
                                orders = '',
                                platoon = '',
                                Position = { 152.500000, 18.332031, 401.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_35'] = {
                                type = 'uab1105',
                                orders = '',
                                platoon = '',
                                Position = { 145.500000, 18.277344, 401.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                        },
                    },
                    ['CommanderGroup'] = GROUP {
                        orders = '',
                        platoon = '',
                        Units = {
                            ['Guen'] = {
                                type = 'ual0001',
                                orders = '',
                                platoon = '',
                                Position = { 333.500000, 20.552734, 140.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                        },
                    },
                    ['AttackAirUnits'] = GROUP {
                        orders = '',
                        platoon = '',
                        Units = {
                            ['UNIT_24'] = {
                                type = 'uaa0102',
                                orders = '',
                                platoon = '',
                                Position = { 233.500000, 20.914063, 345.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                        },
                    },
                    ['EndGameUnits2'] = GROUP {
                        orders = '',
                        platoon = '',
                        Units = {
                            ['UNIT_172'] = {
                                type = 'ual0101',
                                orders = '',
                                platoon = '',
                                Position = { 316.500000, 20.470703, 127.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_166'] = {
                                type = 'ual0201',
                                orders = '',
                                platoon = '',
                                Position = { 316.206146, 19.322355, 112.368057 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_168'] = {
                                type = 'ual0201',
                                orders = '',
                                platoon = '',
                                Position = { 319.951111, 20.070894, 117.097282 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_164'] = {
                                type = 'ual0201',
                                orders = '',
                                platoon = '',
                                Position = { 317.127716, 18.536238, 105.188843 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_169'] = {
                                type = 'ual0101',
                                orders = '',
                                platoon = '',
                                Position = { 316.231262, 20.374001, 122.468048 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_165'] = {
                                type = 'ual0201',
                                orders = '',
                                platoon = '',
                                Position = { 320.500000, 19.468750, 112.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_170'] = {
                                type = 'ual0101',
                                orders = '',
                                platoon = '',
                                Position = { 320.169617, 20.390381, 122.742210 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_173'] = {
                                type = 'ual0101',
                                orders = '',
                                platoon = '',
                                Position = { 322.500000, 19.925781, 115.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_174'] = {
                                type = 'ual0101',
                                orders = '',
                                platoon = '',
                                Position = { 310.018097, 20.540955, 130.260223 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_171'] = {
                                type = 'ual0101',
                                orders = '',
                                platoon = '',
                                Position = { 313.500000, 20.255859, 120.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_167'] = {
                                type = 'ual0201',
                                orders = '',
                                platoon = '',
                                Position = { 323.574677, 18.774555, 107.458633 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                        },
                    },
                    ['AttackLandUnits'] = GROUP {
                        orders = '',
                        platoon = '',
                        Units = {
                            ['UNIT_23'] = {
                                type = 'ual0101',
                                orders = '',
                                platoon = '',
                                Position = { 124.500000, 20.589844, 304.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_22'] = {
                                type = 'ual0101',
                                orders = '',
                                platoon = '',
                                Position = { 121.500000, 20.470703, 304.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                        },
                    },
                    ['EndGameUnits1'] = GROUP {
                        orders = '',
                        platoon = '',
                        Units = {
                            ['UNIT_48'] = {
                                type = 'ual0106',
                                orders = '',
                                platoon = '',
                                Position = { 337.500000, 20.589844, 144.500000 },
                                Orientation = { 0.000000, -0.305433, 0.000000 },
                            },
                            ['UNIT_155'] = {
                                type = 'ual0106',
                                orders = '',
                                platoon = '',
                                Position = { 335.500000, 20.656250, 152.500000 },
                                Orientation = { 0.000000, -0.305433, 0.000000 },
                            },
                            ['UNIT_46'] = {
                                type = 'ual0106',
                                orders = '',
                                platoon = '',
                                Position = { 333.500000, 20.699219, 156.500000 },
                                Orientation = { 0.000000, -0.305433, 0.000000 },
                            },
                            ['UNIT_44'] = {
                                type = 'ual0106',
                                orders = '',
                                platoon = '',
                                Position = { 333.500000, 20.628906, 149.500000 },
                                Orientation = { 0.000000, -0.305433, 0.000000 },
                            },
                            ['UNIT_47'] = {
                                type = 'ual0106',
                                orders = '',
                                platoon = '',
                                Position = { 336.500000, 20.703125, 155.500000 },
                                Orientation = { 0.000000, -0.305433, 0.000000 },
                            },
                            ['UNIT_49'] = {
                                type = 'ual0106',
                                orders = '',
                                platoon = '',
                                Position = { 336.500000, 20.628906, 149.500000 },
                                Orientation = { 0.000000, -0.305433, 0.000000 },
                            },
                            ['UNIT_45'] = {
                                type = 'ual0106',
                                orders = '',
                                platoon = '',
                                Position = { 331.500000, 20.648438, 152.500000 },
                                Orientation = { 0.000000, -0.305433, 0.000000 },
                            },
                        },
                    },
                    ['INITIAL'] = GROUP {
                        orders = '',
                        platoon = '',
                        Units = {
                        },
                    },
                    ['Base'] = GROUP {
                        orders = '',
                        platoon = '',
                        Units = {
                            ['UNIT_228'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 364.500000, 20.712891, 168.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_208'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 375.500000, 20.648438, 158.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_244'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 376.500000, 20.136719, 133.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_59'] = {
                                type = 'uab1103',
                                orders = '',
                                platoon = '',
                                Position = { 361.500000, 20.697266, 165.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_192'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 369.500000, 19.628906, 125.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_222'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 358.500000, 20.714844, 168.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_176'] = {
                                type = 'uab0201',
                                orders = '',
                                platoon = '',
                                Position = { 355.500000, 20.759766, 154.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_251'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 354.500000, 20.380859, 127.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_159'] = {
                                type = 'uab1201',
                                orders = '',
                                platoon = '',
                                Position = { 355.500000, 20.621094, 140.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_58'] = {
                                type = 'uab1103',
                                orders = '',
                                platoon = '',
                                Position = { 372.500000, 20.681641, 158.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_214'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 375.500000, 20.576172, 147.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_243'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 376.500000, 20.048828, 132.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_242'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 376.500000, 19.943359, 131.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_249'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 372.500000, 20.345703, 134.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_185'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 362.500000, 20.052734, 125.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_200'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 375.500000, 20.597656, 149.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_209'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 375.500000, 20.644531, 157.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_60'] = {
                                type = 'uab1103',
                                orders = '',
                                platoon = '',
                                Position = { 344.500000, 20.650391, 152.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_236'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 370.500000, 20.707031, 161.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_256'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 371.500000, 20.564453, 143.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_235'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 371.500000, 20.699219, 161.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_161'] = {
                                type = 'uab2104',
                                orders = '',
                                platoon = '',
                                Position = { 365.500000, 20.582031, 140.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_202'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 375.500000, 20.609375, 150.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_221'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 371.500000, 20.576172, 144.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_186'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 363.500000, 20.005859, 125.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_217'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 375.500000, 20.533203, 144.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_238'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 376.500000, 19.406250, 127.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_191'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 368.500000, 19.699219, 125.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_260'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 367.500000, 20.718750, 161.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_255'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 371.500000, 20.431641, 136.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_232'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 364.500000, 20.820313, 164.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_248'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 373.500000, 20.318359, 134.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_227'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 363.500000, 20.695313, 168.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_234'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 372.500000, 20.689453, 161.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_196'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 373.500000, 19.330078, 125.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_189'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 366.500000, 19.832031, 125.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_258'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 365.500000, 20.775391, 163.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_205'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 375.500000, 20.642578, 154.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_233'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 373.500000, 20.679688, 161.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_237'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 376.500000, 19.251953, 126.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_177'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 354.500000, 20.275391, 125.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_61'] = {
                                type = 'uab1103',
                                orders = '',
                                platoon = '',
                                Position = { 373.500000, 20.195313, 132.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_240'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 376.500000, 19.697266, 129.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_199'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 376.500000, 19.093750, 125.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_262'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 369.500000, 20.710938, 161.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_178'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 355.500000, 20.259766, 125.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_230'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 364.500000, 20.781250, 166.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_194'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 371.500000, 19.480469, 125.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_179'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 356.500000, 20.240234, 125.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_263'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 368.500000, 20.714844, 161.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_162'] = {
                                type = 'uab2104',
                                orders = '',
                                platoon = '',
                                Position = { 360.500000, 20.662109, 147.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_229'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 364.500000, 20.746094, 167.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_216'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 375.500000, 20.550781, 145.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_252'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 358.500000, 20.707031, 167.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_254'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 371.500000, 20.402344, 135.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_190'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 367.500000, 19.767578, 125.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_220'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 372.500000, 20.564453, 144.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_181'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 358.500000, 20.193359, 125.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_211'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 375.500000, 20.662109, 160.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_55'] = {
                                type = 'uab1101',
                                orders = '',
                                platoon = '',
                                Position = { 348.500000, 20.560547, 138.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_180'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 357.500000, 20.218750, 125.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_184'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 361.500000, 20.093750, 125.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_259'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 366.500000, 20.726563, 162.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_207'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 375.500000, 20.644531, 156.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_247'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 374.500000, 20.285156, 134.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_231'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 364.500000, 20.806641, 165.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_53'] = {
                                type = 'uab1101',
                                orders = '',
                                platoon = '',
                                Position = { 371.500000, 20.666016, 153.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_253'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 371.500000, 20.367188, 134.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_204'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 375.500000, 20.638672, 153.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_206'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 375.500000, 20.644531, 155.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_212'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 374.500000, 20.671875, 161.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_52'] = {
                                type = 'uab0101',
                                orders = '',
                                platoon = '',
                                Position = { 366.500000, 20.642578, 152.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_195'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 372.500000, 19.406250, 125.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_223'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 359.500000, 20.712891, 168.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_57'] = {
                                type = 'uab1101',
                                orders = '',
                                platoon = '',
                                Position = { 355.500000, 20.671875, 148.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_246'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 375.500000, 20.251953, 134.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_203'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 375.500000, 20.632813, 152.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_218'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 374.500000, 20.542969, 144.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_245'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 376.500000, 20.208984, 134.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_241'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 376.500000, 19.826172, 130.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_210'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 375.500000, 20.656250, 159.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_257'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 371.500000, 20.552734, 142.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_197'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 374.500000, 19.251953, 125.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_213'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 375.500000, 20.585938, 148.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_187'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 364.500000, 19.951172, 125.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_56'] = {
                                type = 'uab1101',
                                orders = '',
                                platoon = '',
                                Position = { 353.500000, 20.671875, 148.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_193'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 370.500000, 19.554688, 125.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_183'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 360.500000, 20.130859, 125.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_226'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 362.500000, 20.695313, 168.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_201'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 375.500000, 20.621094, 151.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_188'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 365.500000, 19.892578, 125.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_239'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 376.500000, 19.554688, 128.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_182'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 359.500000, 20.164063, 125.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_54'] = {
                                type = 'uab1101',
                                orders = '',
                                platoon = '',
                                Position = { 371.500000, 20.644531, 151.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_225'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 361.500000, 20.695313, 168.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_224'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 360.500000, 20.703125, 168.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_250'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 354.500000, 20.333984, 126.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_219'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 373.500000, 20.552734, 144.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_215'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 375.500000, 20.564453, 146.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_198'] = {
                                type = 'uab5101',
                                orders = '',
                                platoon = '',
                                Position = { 375.500000, 19.171875, 125.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                        },
                    },
                    ['MiniBase'] = GROUP {
                        orders = '',
                        platoon = '',
                        Units = {
                            ['UNIT_27'] = {
                                type = 'uab1103',
                                orders = '',
                                platoon = '',
                                Position = { 208.500000, 17.808594, 208.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_26'] = {
                                type = 'uab1101',
                                orders = '',
                                platoon = '',
                                Position = { 212.500000, 17.888672, 204.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                            ['UNIT_175'] = {
                                type = 'uab3101',
                                orders = '',
                                platoon = '',
                                Position = { 214.500000, 17.818359, 211.500000 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                        },
                    },
                },
            },
            PlatoonBuilders = {
                next_platoon_builder_id = '0',
                Builders = {
                },
            },
        },
        --[[                                                                           ]]--
        --[[  Army                                                                     ]]--
        --[[                                                                           ]]--
        ['PlayerAlly'] =  
        {
            personality = '',
            plans = '/lua/ai/OpAI/DefaultBlankPlanlist.lua',
            color = 2,
            faction = 0,
            Economy = {
                mass = 0,
                energy = 0,
            },
            Alliances = {
                ['Player'] = 'Ally',
            },
            ['Units'] = GROUP {
                orders = '',
                platoon = '',
                Units = {
                    ['Transports'] = GROUP {
                        orders = '',
                        platoon = '',
                        Units = {
                            ['UNIT_264'] = {
                                type = 'xea0306',
                                orders = '',
                                platoon = '',
                                Position = { 86.680359, 18.379696, 80.064514 },
                                Orientation = { 0.000000, 0.000000, 0.000000 },
                            },
                        },
                    },
                    ['INITIAL'] = GROUP {
                        orders = '',
                        platoon = '',
                        Units = {
                        },
                    },
                },
            },
            PlatoonBuilders = {
                next_platoon_builder_id = '0',
                Builders = {
                },
            },
        },
    },
}
